%define major     1
%define libname   %mklibname sass %{major}
%define develname %mklibname sass -d

Name:       libsass
Version:    3.6.6
Release:    %mkrel 2
Summary:    C/C++ port of the Sass CSS precompiler
Group:      System/Libraries
License:    MIT
URL:        https://sass-lang.com/libsass
Source0:    https://github.com/sass/libsass/archive/%{version}/%{name}-%{version}.tar.gz

%description
Libsass is a C/C++ port of the Sass CSS precompiler. The original
version was written in Ruby, but this version is meant for
efficiency and portability.

This library strives to be light, simple, and easy to build and
integrate with a variety of platforms and languages.

Libsass is just a library, but if you want to RUN libsass, install
the sassc package.

%package -n %{libname}
Summary:    C/C++ port of the Sass CSS precompiler
Group:      System/Libraries

%description -n %{libname}
This package contains the library files required for running
services built using %{name}.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   sass-devel = %{version}-%{release}

%description -n %{develname}
This package contains the static libraries, headers, and other
support files required for developing applications against %{name}.

%prep
%autosetup -p1

%build
export LIBSASS_VERSION=%{version}
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc Readme.md SECURITY.md LICENSE
%{_libdir}/libsass.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_includedir}/sass/
%{_libdir}/libsass.so
%{_libdir}/pkgconfig/libsass.pc


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.6.6-2.mga10
+ Revision: 2221346
- Mageia 10 Mass Rebuild

* Thu Feb 15 2024 daviddavid <daviddavid> 3.6.6-1.mga10
+ Revision: 2041506
- new version: 3.6.6
- fix library pkg name with major 1

* Tue Mar 15 2022 umeabot <umeabot> 3.6.5-2.mga9
+ Revision: 1793533
- Mageia 9 Mass Rebuild

* Mon Jun 14 2021 guillomovitch <guillomovitch> 3.6.5-1.mga9
+ Revision: 1730766
- new version 3.6.5

* Sun May 10 2020 guillomovitch <guillomovitch> 3.6.4-1.mga8
+ Revision: 1582629
- new version 3.6.4

* Tue Feb 18 2020 umeabot <umeabot> 3.6.3-2.mga8
+ Revision: 1539213
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 02 2019 guillomovitch <guillomovitch> 3.6.3-1.mga8
+ Revision: 1464023
- new version 3.6.3

* Sun Jul 07 2019 guillomovitch <guillomovitch> 3.6.1-1.mga8
+ Revision: 1419228
- new version 3.6.1
- new version 3.6.0

* Tue Nov 27 2018 guillomovitch <guillomovitch> 3.5.5-1.mga7
+ Revision: 1335957
- new version 3.5.5

* Sun Sep 23 2018 umeabot <umeabot> 3.5.4-2.mga7
+ Revision: 1299134
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 guillomovitch <guillomovitch> 3.5.4-1.mga7
+ Revision: 1241991
- new version 3.5.4

* Thu Feb 22 2018 guillomovitch <guillomovitch> 3.4.9-1.mga7
+ Revision: 1204249
- imported package libsass

